# network_content.h File Reference

Part of the network protocol handling content distribution. More...

`#include "core/tcp_content.h"`
`#include "core/tcp_http.h"`

Go to the source code of this file.

## Data Structures
struct | ContentCallback
| Callbacks for notifying others about incoming data. More...
class | ClientNetworkContentSocketHandler
| Socket handler for the content server connection. More...
## Typedefs
typedef SmallVector < ContentInfo *, 16 > | ContentVector
| Vector with content info.
typedef SmallVector< const ContentInfo *, 16 > | ConstContentVector
typedef ContentInfo ** | ContentIterator
| Iterator for the content vector.
typedef const ContentInfo *const * | ConstContentIterator
## Functions
void | ShowNetworkContentListWindow (ContentVector *cv=NULL, ContentType type=CONTENT_TYPE_END)
| Show the content list window with a given set of content.
## Variables
ClientNetworkContentSocketHandler | _network_content_client

## Detailed Description

Part of the network protocol handling content distribution.

Definition in file network_content.h.

## Function Documentation

void ShowNetworkContentListWindow | ( | ContentVector * | cv,
|  | ContentType | type |
| ) |  |  |

Show the content list window with a given set of content.

Parameters:

  | cv | the content to show, or NULL when it has to search for itself
  | type | the type to (only) show

Definition at line 883 of file network_content_gui.cpp.

References _network_content_list_desc, SmallVector< T, S >::Begin(), ClientNetworkContentSocketHandler::Clear(), DeleteWindowById(), SmallVector< T, S >::End(), ShowErrorMessage(), and WL_ERROR.

Referenced by NewGRFWindow::OnClick(), SelectGameWindow::OnClick(), SaveLoadWindow::OnClick(), and AIConfigWindow::OnClick().